# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="7"

inherit linux-mod

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI="https://github.com/kanjitalk755/macemu"
	inherit git-r3
else
	SRC_URI="https://github.com/kanjitalk755/macemu/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
        KEYWORDS="~amd64 ~x86"
fi

DESCRIPTION="Network Module for Basilisk II"
HOMEPAGE="https://www.emaculation.com/doku.php"
LICENSE="GPL-3"
SLOT="0"

RDEPEND="=app-emulation/basiliskii-${PV}"

S="${WORKDIR}/${P}/BasiliskII/src/Unix/Linux/NetDriver"

BUILD_TARGETS="sheep_net.ko"
MODULE_NAMES="sheep_net(misc:${S})"
MODULESD_SHEEP_NET_ENABLED="yes"

pkg_setup() {
        linux-mod_pkg_setup
        BUILD_PARAMS="CC=$(tc-getBUILD_CC) KERN_DIR=${KV_DIR} KERN_VER=${KV_FULL} O=${KV_OUT_DIR} V=1 KBUILD_VERBOSE=1"
}

pkg_postinst() {
	linux-mod_pkg_postinst

	einfo "To enable networking for BasiliskII type"
	einfo "  modprobe sheep_net"
	echo ""
	einfo "To enable networking permanently:"
	einfo "  echo sheep_net > /etc/modules-load.d/sheep_net.conf"
	echo ""
}
