# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit toolchain-funcs

MY_PN="vbcc"

SRC_URI="http://www.ibaug.de/${MY_PN}/${MY_PN}_linux_x64.tar.gz -> ${MY_PN}-${PV}.tar"

DESCRIPTION="Volker Barthels C Compiler"
HOMEPAGE="http://www.compilers.de/vbcc.html"

KEYWORDS="-* amd64"
SLOT="0"
LICENSE=""
IUSE="+doc"

RESTRICT="mirror strip"

DEPEND=""
RDEPEND=""

S="${WORKDIR}/${MY_PN}"

QA_EXECSTACK="usr/libexec/${MY_PN}/targets/*/lib/*"

src_install() {
	local PKG_DEST=/usr/libexec/${MY_PN}

	einfo "Installing"
	exeinto ${PKG_DEST}/bin
	doexe bin/*

	insinto ${PKG_DEST}
	doins -r config

	insinto ${PKG_DEST}
	doins -r targets/

	( echo "VBCC=\"${PKG_DEST}\"" && echo "PATH=${PKG_DEST}/bin" ) \
		| newenvd - 90vbcc

	if use doc ; then
		dodoc README v{asm,bcc,link}.pdf
	fi
}
