# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=8
PYTHON_COMPAT=( python3_{9..12} )
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_PEP517=setuptools

PYPI_PN="pcbnewTransition"
MY_P="${PYPI_PN}-${PV}"

inherit distutils-r1

DESCRIPTION="Library that allows you to support both, KiCAD 5 and KiCAD 6 in your plugins"
HOMEPAGE="https://github.com/yaqwsx/KiKit"
if [[ ${PV} == "9999" ]] ; then
        EGIT_REPO_URI="https://github.com/yaqwsx/${PYPI_PN}.git"
        KEYWORDS=""
        inherit git-r3
else
        KEYWORDS="~amd64 ~x86"
	inherit pypi
	SRC_URI="$(pypi_sdist_url --no-normalize)"
fi

LICENSE="MIT"
SLOT="0"
IUSE=""

REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND=""

DEPEND="${RDEPEND}
	$(python_gen_cond_dep '
		dev-python/versioneer[${PYTHON_USEDEP}]
	')
"

S="${WORKDIR}/${MY_P}"

src_compile() {
	true;
}

src_install() {
        python_domodule ${PYPI_PN}
        dodoc README.md
}
