# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit autotools

DESCRIPTION="Linux client for programming the Logitech Harmony universal remote"
HOMEPAGE="https://www.phildev.net/concordance"
SRC_URI="https://github.com/jaymzh/concordance/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="=dev-libs/libconcord-${PV}"
RDEPEND="${DEPEND}"

S="${WORKDIR}/${P}/${PN}"

src_prepare() {
	default

	eautoreconf
}

src_install() {
	default

	dodoc ../README.md
	dodoc ../Changelog ../TODO
}

pkg_postinst() {
	einfo "Set up your remote by visiting members.harmonyremote.com."
	einfo "Click 'Update Remote' to receive Connectivity.EZHex, which"
	einfo "verifies connectivity to the remote.  Run it with:"
	echo
	einfo "    concordance --connectivity-test Connectivity.EZHex"
	echo
	einfo "Return to your browser and click to the next screen to receive"
	einfo "Update.EZHex, which contains the new configuration.  Run it with:"
	echo
	einfo "    concordance --write-config Update.EZHex"
}
